Bug 1121925 (CVE-2014-3559) - CVE-2014-3559 ovirt-engine-backend: memory snapshots not wiped when deleting a VM with wipe-after-delete (WAD) enabled for its disks
Summary: CVE-2014-3559 ovirt-engine-backend: memory snapshots not wiped when deleting ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3559
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140804,repor...
Depends On: 1121928 1121929
Blocks: 1121930
TreeView+ depends on / blocked
 
Reported: 2014-07-22 07:18 UTC by David Jorm
Modified: 2019-06-08 20:07 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the oVirt storage back end did not wipe memory snapshots when VMs were deleted, even if wipe-after-delete (WAD) was enabled for the VM's disks. A remote attacker with credentials to create a new VM could use this flaw to potentially access the contents of memory snapshots in an uninitialized storage volume, possibly leading to the disclosure of sensitive information.
Clone Of:
Environment:
Last Closed: 2014-08-04 14:33:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1002 normal SHIPPED_LIVE Moderate: rhevm security update 2014-08-04 18:17:08 UTC

Description David Jorm 2014-07-22 07:18:17 UTC
IssueDescription:

It was found that the oVirt storage back end did not wipe memory snapshots when VMs were deleted, even if wipe-after-delete (WAD) was enabled for the VM's disks. A remote attacker with credentials to create a new VM could use this flaw to potentially access the contents of memory snapshots in an uninitialized storage volume, possibly leading to the disclosure of sensitive information.

Comment 2 David Jorm 2014-07-22 22:53:03 UTC
Acknowledgements:

This issue was discovered by Idan Shaby and Allon Mureinik of Red Hat.

Comment 3 errata-xmlrpc 2014-08-04 14:17:16 UTC
This issue has been addressed in following products:

  RHEV Manager version 3.4

Via RHSA-2014:1002 https://rhn.redhat.com/errata/RHSA-2014-1002.html


Note You need to log in before you can comment on or make changes to this bug.